.main {
    padding-top: 90px;

    @media (max-width: 768px) {
        padding-top: 70px;
    }

    // index page // 

    .main__section {
        color: $white;
        background-repeat: no-repeat;
        background-size: cover;
        background-position: center;
        position: relative;

        &::before {
            content: "";
            position: absolute;
            top: 0px;
            right: 0px;
            bottom: 0px;
            left: 0px;
            background-color: rgba(0,0,0,0.45);
            z-index: 1;
        }

        .main-description__block {
            display: grid;
            grid-template-columns: repeat(auto-fill, minmax(220px, 1fr)); 
            grid-gap: 2em;
            justify-items: center;
            margin-bottom: 80px;
            position: relative;
            z-index: 1;

            @media (max-width: 1280px) {
                margin-bottom: 50px;
            }

            @media (max-width: 1040px) {
                grid-template-columns: repeat(auto-fill, minmax(230px, 1fr));
            }

            @media (max-width: 768px) {
                margin-bottom: 30px;
            }

            @media (max-width: 576px) {
                grid-template-columns: repeat(auto-fill,minmax(280px,1fr));
                grid-gap: 0;
                margin-bottom: 20px;
            }

            .main-description__wrapper {
                @media (max-width: 1040px) {

                    &:last-child {
                        grid-column: 1/4;
                    }
                }

                @media (max-width: 768px) {

                    &:last-child {
                        grid-column: inherit;
                    }
                }

              
                .main-description__item {
                    @include mainDescriptionItem;
                }
            }
        }

        .calculate__block {
            padding: 8rem 3rem 8rem 3rem;
            position: relative;
            z-index: 1;

            @media (max-width: 1280px) {
                padding: 6rem 3rem 6rem 3rem;
            }

            @media (max-width: 1024px) {
                padding: 5rem 3rem 6rem 3rem;
            }

            @media (max-width: 768px) {
                padding: 4rem 3rem 4rem 3rem;
            }

            .calculate__title {
                color: $white;
            }

            .calculate__form {
                .form__block {
                    .calculate__input {
                        transition: 0.4s ease;

                        &:hover {
                            box-shadow: 0px 10px 15px -5px rgba(111, 111, 111, 0.602);
                        }
                    }

                }

                .calculate__button  {
                    color: $white;
                }
            }

        }
    }

    .lighting-objects__section {
        .lighting-objects__list {
            display: grid;
            grid-template-columns: repeat(auto-fill,minmax(200px,1fr));
            grid-gap: 4em;

            @media (max-width: 1280px) {
                grid-template-columns: repeat(auto-fill,minmax(210px,1fr));
                grid-gap: 3em;
            }

            @media (max-width: 1043px) {
                grid-template-columns: repeat(auto-fill,minmax(230px,1fr));
            }

            @media (max-width: 992px) {
                grid-template-columns: repeat(auto-fill,minmax(220px,1fr));
            }

            @media (max-width: 785px) {
                grid-template-columns: repeat(auto-fill,minmax(240px,1fr));
                grid-gap: 1.5em;
            }


            .lighting-objects__item {
                display: flex;
                align-items: center;
                justify-content: center;
                flex-direction: column;
                text-align: center;
                gap: 20px;
                background-color: $lightSilver;
                color: $outerSpace;
                padding: 2rem;
                border-radius: 8px;
                transition: 0.4s ease;

                &:nth-child(2n+1) {
                    background-color: $brightGray;
                }

                &:hover {
                    box-shadow: 0px 10px 15px -5px rgba(111, 111, 111, 0.602);
                    transform: scale(1.05)
                }

                .lighting-objects__title {
                    @include lightingObjectsTitle;
                }

                @media (max-width: 1280px) {
                    svg {
                        width: 60px;
                        height: 60px;
                    }
                }

                @media (max-width: 1043px) { 
                    &:nth-last-child {
                        grid-column: -2/1;
                        flex-direction: row;
                    }

                    &:nth-last-child {
                        grid-column: -1/3;
                    }
                }

                @media (max-width: 785px) { 
                    padding: 1rem;
                    gap: 15px;

                    &:nth-last-child {
                        flex-direction: column;
                        grid-column: inherit;
                        
                    }

                    &:nth-last-child {
                        grid-column: inherit;
                    }
                }

                @media (max-width: 533px) {
                    flex-direction: row;
                    gap: 15px;
                    justify-content: start;

                    &:nth-last-child {
                        flex-direction: row;
                    }

                    svg {
                        width: 50px;
                        height: 50px;
                    }
                }
            }
        }
    }

    .faq__section {
        background-color: $brightGray;
        background-image: url('../img/item/back-item-4.png'), url('../img/item/back-item-3.png');
        background-repeat: no-repeat, no-repeat;
        background-size: auto;
        background-position: left top, right bottom;
        @include colorSection;

        @media (max-width: 1280px) {
            background-position: -300px top, 450px bottom;
        }

        .section__title { 
            @include colorTitle;
            color: $deepJungleGreen;
        }
    }

    // services page // 

    .services-main__section {
        .services-main__list {
            display: block;
            -moz-column-count: 2; 
            -webkit-column-count: 2; 
            column-count: 2;
            gap: 40px;
            height: 100%;

            @media (max-width: 1024px) {
                gap: 20px;
            }

            @media (max-width: 768px) {
                -moz-column-count: 1; 
                -webkit-column-count: 1; 
                column-count: 1;
            }

            .services-main__item {
                page-break-inside: avoid;
                break-inside: avoid;
                float: left;
                border-radius: 8px;
                width: 100%;
                transition: 0.4s ease;

                &:hover {
                    box-shadow: 0px 10px 15px -5px rgba(111, 111, 111, 0.602);
                }

                &:not(:last-child) {
                    margin-bottom: 40px;

                    @media (max-width: 1024px) {
                        margin-bottom: 20px;
                    }
                }

                &:nth-last-child(-n + 4) {
                    margin-bottom: 22px;

                    @media (max-width: 1024px) {
                        margin-bottom: 14px;
                    }
                }

                &:nth-child(2n+1) { 
                    .services-page__link {
                        background-color: $brightGray;     
                    }

                    .services-subpage__list {
                        border: 1px solid $brightGray;

                        .services-subpage__item {
                            &::marker {
                                color: $outerSpace;
                            }
                        }
                    }
                }

                .services-page__link {
                    @include servicesPageLink;
                }

                .services-subpage__list {
                    padding: 1rem;
                    border-bottom-left-radius: 8px;
                    border-bottom-right-radius: 8px;
                    border: 1px solid $lightSilver;
                    padding-left: 40px;

                    .services-subpage__item {
                        @include servicesSubpageItem;
                    }
                }

            }
        }
    }

    .park-lighting__section {
        .park-lighting__block {
            .description-work__block {
                display: flex;
                gap: 30px;
                margin-bottom: 100px;

                @media (max-width: 1280px) {
                    margin-bottom: 80px;
                }

                @media (max-width: 768px) {
                    flex-direction: column;
                    gap: 20px;
                }

                @media (max-width: 576px) {
                    margin-bottom: 64px;
                }

                .description-work__item {
                    @media (max-width: 1024px) {
                        padding: 1rem;
                        gap: 20px;
                        height: 150px;
                
                        svg {
                            width: 150px;
                            height: 150px;
                        }
                    }
                
                    @media (max-width: 768px) {
                        padding: 1rem;
                        gap: 30px;  
                    }
                
                    @media (max-width: 425px) {
                        gap: 20px;  
                    }
                }
            }

            .description-work__banner { 
                width: 100%;
            }
        }
    }

    .construction__section {
        .description-work__block {
            display: grid;
            grid-template-columns: repeat(auto-fill, minmax(350px, 1fr)); 
            gap: 30px;

            @media (max-width: 1280px) {
                grid-template-columns: repeat(auto-fill,minmax(300px,1fr));
            }

            @media (max-width: 1024px) {
                grid-template-columns: repeat(auto-fill,minmax(320px,1fr));
                gap: 20px;
            }

            .description-work__item {
                text-align: center;
                flex-direction: column;
                justify-content: unset;
                height: auto;
                
                @media (max-width: 1024px) {
                    padding: 1.5rem;
                    flex-direction: inherit;
                    text-align: left;
                    gap: 20px;

                    .svg__wrapper {
                        svg {
                            width: 60px;
                        }
                    }

                    &:last-child {
                        grid-column: -1/1;
                        
                    }
                }

                @media (max-width: 425px) {
                    .svg__wrapper {
                        svg {
                            width: 50px;
                        }
                    }
                }
            }
        }
    }

    .work__section {
        background-color: $brightGray;
        @include colorSection;

        .works__block {
            display: grid;
            grid-template-columns: repeat(auto-fill, minmax(230px, 1fr)); 
            gap: 40px;

            @media (max-width: 1280px) {
                gap: 30px;
            }
           
            @media (max-width: 1075px) {
                grid-template-columns: repeat(auto-fill, minmax(240px, 1fr)); 
            }

            @media (max-width: 810px) {
                grid-template-columns: repeat(auto-fill, minmax(250px, 1fr)); 
            }

            @media (max-width: 565px) {
                grid-template-columns: repeat(auto-fill,minmax(210px,1fr));
                gap: 20px;
            }

            .works__item {
                display: flex;
                flex-direction: column;
                justify-content: end;
                background-repeat: no-repeat;
                background-size: cover;
                background-position: center;
                height: 350px;
                border-radius: 20px;

                @media (max-width: 1075px) {
                    &:last-child {
                        grid-column: -1/1;
                    }
                }

                @media (max-width: 810px) {
                    &:last-child {
                        grid-column: unset;
                    }
                }

                .works__wrapper {
                    background-color: $lightSilver;
                    padding: 0.5rem 0.5rem;
                   
                    .works__title {
                        @include worksTitle;
                    }
                }
                
                .calculate__button {
                    border-top-left-radius: 0;
                    border-top-right-radius: 0;
                }
            }
        }
    }

    .catalog__section {
        .catalog__list {
            display: grid;
            grid-template-columns: repeat(auto-fill, minmax(260px, 1fr)); 
            grid-gap: 2rem;

            @media (max-width: 1280px) {
                grid-template-columns: repeat(auto-fill, minmax(230px, 1fr)); 
                grid-gap: 1.5rem;
            }

            @media (max-width: 1024px) {
                grid-template-columns: repeat(auto-fill, minmax(240px, 1fr)); 
                grid-gap: 1.3rem;
            }

            @media (max-width: 576px) {
                grid-template-columns: repeat(auto-fill, minmax(180px, 1fr)); 
                grid-gap: 1rem;
            }

            @media (max-width: 425px) {
                grid-template-columns: repeat(auto-fill, minmax(130px, 1fr)); 
                grid-gap: 0.5rem;
            }

            &:not(:last-child) {
                margin-bottom: 80px;
       
                @media (max-width: 1280px) {
                    margin-bottom: 50px;
                }
    
                @media (max-width: 1024px) {
                    margin-bottom: 40px;
                }
    
                @media (max-width: 576px) {
                    margin-bottom: 38px;
                }
            }
        }
    }

    .page-catalog__section {
        .catalog__block {
            display: flex;
            gap: 50px;

            @media (max-width: 1280px) {
                gap: 30px;
            }

            .mobile-filter-open__button {
                @include mobileFilterOpenButton;
            }

            .catalog__filter {
                order: 1;
                display: flex;
                flex-direction: column;
                gap: 30px;
                width: 100%;
                flex: 0 0 25%;
                background-color: $white;
                transition: 0.4s ease;

                @media (max-width: 1024px) {
                    flex: 0 0 35%;
                }

                @media (max-width: 768px) {
                    opacity: 0;
                    visibility: hidden;
                    position: fixed;
                    left: 0;
                    padding: 1rem;
                    top: 70px;
                    height: calc(100% - 150px);
                    overflow-y: scroll;
                    background-color: $lotion;
                    z-index: 2;
                }

                @media (max-width: 576px) {
                    height: calc(100% - 135px);
                }

                @media (max-width: 425px) {
                    height: calc(100% - 130px);
                }

                .mobile-filter-close__button {
                    @include mobileFilterCloseButton;
                }


                .product__search {
                    position: relative;

                    .search__input {
                        width: 100%;
                        height: 55px;
                        border: 1px solid $lightSilver;
                        border-radius: 8px;
                        text-indent: 15px;
                    }

                    .searc__icon {
                        position: absolute;
                        top: 50%;
                        transform: translateY(-50%);
                        right: 15px;
                    }
                }

                .product__filter {
                    border-radius: 8px;
                    transition: 0.4s ease;

                    &:hover {
                        box-shadow: 0px 10px 15px -5px rgba(111, 111, 111, 0.602);
                    }

                    .filter__title {
                        @include filterTitle;
                    }

                    .filter__content {
                        border-bottom-left-radius: 8px;
                        border-bottom-right-radius: 8px;
                        border: 1px solid $lightSilver;

                        .filter-accordion__item {
                            padding: 1rem 1.5rem;
                            
                            &:not(:last-child) {
                                border-bottom: 1px solid $lightSilver;
                            }
                            
                            .filter-accordion__input {
                                position: absolute;
                                opacity: 0;
                                z-index: -2;
                            }

                            .filter-accordion__label {
                                cursor: pointer;

                                .filter-accordion__title {
                                    @include filterAccordionTitle;
                                }
                            }

                            .filter-accordion__content {
                                max-height: 0;
                                opacity: 0;
                                padding: 0;
                                visibility: hidden;
                                transition: 0.4s ease;

                                .filter-accordion__form {
                                    display: flex;
                                    flex-direction: column;
                                    gap: 15px;

                                    .filter__group {
                                        .filter-group__input {
                                            display: none;
                                        }

                                        .filter-group__label {
                                            @include filterGroupLabel;
                                        }

                                        .filter-group__input:checked {
                                            + .filter-group__label {
                                                color: $black;

                                                &:after {
                                                    content: '';
                                                    display: block;
                                                    position: absolute;
                                                    top: 4px;
                                                    left: 8px;
                                                    width: 6px;
                                                    height: 12px;
                                                    border: solid $white;
                                                    border-width: 0 2px 2px 0;
                                                    transform: rotate(45deg);
                                                }

                                                &:before {
                                                    border: 1px solid $lust;
                                                    background-color: $lust;
                                                }
                                            }
                                        }

                                    }
                                }
                            }

                            .filter-accordion__input:checked {
                                + .filter-accordion__label {
                                    .filter-accordion__title {
                                        span {
                                            svg {
                                                transform: rotate(90deg);
                                            }
                                        }
                                    }
                                }

                                ~ .filter-accordion__content {
                                    max-height: 100vh;
                                    opacity: 1;
                                    visibility: visible;
                                    padding: 1rem 0rem;
                                }
                            }
                        }
                    }


                }

                .product__show {
                    display: flex;
                    flex-direction: column;
                    gap: 30px;
                    
                    .filter-show__button {
                        @include filterShowButton;
                    }

                    .filter-clear__button {
                        @include filterClearButton;
                    }
                }

                .sorting__form {
                    .sorting__input {
                        vertical-align: top;
                        width: 17px;
                        height: 17px;
                        margin: 0 3px 0 0;
                        position: absolute;
                        opacity: 0;
                        
                        + .sorting__label {
                            cursor: pointer;
                        } 
                    }

                    .sorting__label {
                        font-size: 16px;
                        position: relative;
                        padding: 0 0 0 45px;

                        &:before {
                            content: '';
                            position: absolute;
                            top: -3px;
                            left: 0;
                            width: 36px;
                            height: 22px;
                            border-radius: 40px;
                        }
                
                        &:after {
                            content: '';
                            position: absolute;
                            top: 50%;
                            transform: translateY(-70%);
                            left: 5px;
                            width: 8px;
                            height: 8px;
                            border-radius: 10px;
                            transition: all .4s;
                        }
                     }
                   
                    .sorting__input:checked + .sorting__label {
                        color: $black;

                        &:before {
                            background: $lust;
                        }
                    
                        &:after {
                            background: $white;
                            left: 20px;
                        }
                    }

                    .sorting__input:not(:checked) + .sorting__label {
                        color: $silverChalice;

                        &:before {
                            background: $lightSilver;
                        }
                
                        &:after {
                            background: $black;
                            left: 5px;
                        }
                    } 
                }
            }

            .catalog__filter--show {
                opacity: 1;
                visibility: visible;
            } 

            .catalog__list {
                order: 2;
                display: grid;
                grid-template-columns: repeat(auto-fill, minmax(230px, 1fr)); 
                grid-gap: 2rem;

                @media (max-width: 1280px) {
                    grid-template-columns: repeat(auto-fill,minmax(210px,1fr));
                    grid-gap: 1rem;
                }

                @media (max-width: 576px) {
                    grid-template-columns: repeat(auto-fill,minmax(180px,1fr));
                }

                @media (max-width: 425px) {
                    grid-template-columns: repeat(auto-fill,minmax(130px,1fr));
                }

            }
        }
    }

    .about__section {
        .clients__slider {
            .swiper-wrapper {
                align-items: center;

                .swiper-slide {
                    .clients {
                        max-width: 200px;
                        max-height: 200px;
                        width: 100%;
                        height: 100%;
                    }
                }
            }
        }
    }

    .stages__section {
        background-color: $outerSpace;
       
        @include colorSection;

        .section__title { 
            @include colorTitle;
        }

        .stage-pagination__wrapper {
            display: flex;
            justify-content: center;
            margin-bottom: 100px;

            @media (max-width: 1024px) {
                margin-bottom: 80px;
            }

            @media (max-width: 768px) {
                margin-bottom: 64px;
            }
    
            .stage__pagination {
                display: flex;
                gap: 80px;
                width: auto;

                @media (max-width: 1024px) {
                    gap: 50px;
                }

                @media (max-width: 768px) {
                    gap: 30px;
                }

                @media (max-width: 576px) {
                    gap: 16px;
                }

                .swiper-pagination-bullet {
                    display: flex;
                    justify-content: center;
                    align-items: center;
                    width: 70px;
                    height: 70px;
                    font-size: 40px;
                    background-color: $white;
                    color: $outerSpace;

                    @media (max-width: 1024px) {
                        width: 50px;
                        height: 50px;
                        font-size: 30px;
                    }

                    @media (max-width: 768px) {
                        width: 40px;
                        height: 40px;
                        font-size: 25px;
                    }
                }
            }
        }

        .stages__slider {
            .stage-slide {
                display: flex;
                align-items: center;
                gap: 30px;

                .stage__wrapper {
                   flex: 0 1 30%;
                   display: flex;
                    justify-content: center;

                    @media (max-width: 1024px) {
                        svg {
                            width: 180px;
                            height: 180px;
                        }
                    }

                    @media (max-width: 768px) {
                        svg {
                            width: 120px;
                            height: 120px;
                        }
                    }

                    @media (max-width: 576px) {
                        flex: 0 1 20%;
                        svg {
                            width: 100px;
                            height: 100px;
                        }
                    }
                }

                .stage__content {
                    flex: 0 1 70%;
                    color: $white;

                    .stage__number {
                        @include stageNumber;
                    }

                    .stage__title {
                        @include stageTitle;
                    }

                    .stage__text {
                        @include stageText;
                    }

                    @media (max-width: 576px) {
                        flex: 0 1 80%;
                    }
                }
            }
        }
    }

    .service__section {
        color: $outerSpace;

        .service__list {
            display: grid;
            grid-template-columns: repeat(auto-fill, minmax(340px, 1fr)); 
            grid-gap: 4em;
            padding: 3rem;
            border: 2px solid $lightSilver;
            border-radius: 8px;
        
            @media (max-width: 1024px) {
                grid-template-columns: repeat(auto-fill, minmax(260px, 1fr)); 
            }

            @media (max-width: 768px) {
                grid-template-columns: repeat(auto-fill, minmax(210px, 1fr)); 
                grid-gap: 3.5em;
                padding: 2rem;
            }

            @media (max-width: 576px) {
                grid-template-columns: repeat(auto-fill, minmax(260px, 1fr)); 
                grid-gap: 2em;
                justify-items: center;
            }

            .sevice__link {
                .sevice__wrapper {
                    display: flex;
                    align-items: center;
                    gap: 20px;

                    @media (max-width: 576px) {
                        width: 300px;
                    }

                    .service__text {
                        @include serviceText;
                    }
    
                    .service__icon {
                        svg {
                            @media (max-width: 1280px) {
                                width: 70px; 
                                height: 70px;
                            }

                            @media (max-width: 768px) {
                                width: 60px; 
                                height: 60px;
                            }
    
                            @media (max-width: 576px) {
                                width: 50px; 
                                height: 50px;
                            }

                            path {
                                fill: $silverChalice;
                            }
                        }
                    }
                }
            }
           
        }
    }

    .calculate__section {
        .calculate__block {
            background-color: $outerSpace;
            color: $white;
        }
    }

    .lighting-project__section {
        .lighting-project__block {
            display: grid;
            color: $outerSpace;

            @media (max-width: 768px) {
                .lighting-project__item {
                    .lighting-project__icon {
                        svg {
                            width: 60px;
                            height: 60px;
                        }
                    }
                }
            }

            &:first-child { 
                grid-template-columns: repeat(auto-fill, minmax(330px, 1fr)); 
                grid-gap: 2rem;
                margin-bottom: 2rem;

                .lighting-project__item  {
                    flex-direction: column;
                    gap: 20px;

                    .lighting-project__content {
                        .lighting-project__title {
                            text-align: center;
                        }
                    }
                }

                @media (max-width: 1280px) {
                    grid-template-columns: repeat(auto-fill, minmax(290px, 1fr)); 

                    .lighting-project__item {
                        padding: 1rem;
                    }
                }

                @media (max-width: 1024px) {
                    grid-template-columns: repeat(auto-fill,minmax(320px,1fr));

                    .lighting-project__item  {
                        &:last-child {
                            grid-column: -1/1;
                            flex-direction: row;
                            padding: 1.5rem;
                            gap: 30px;

                            .lighting-project__content {
                                .lighting-project__title {
                                    text-align: start;
                                }
                            }
                        }
                    }
                }

                @media (max-width: 768px) {
                    grid-template-columns: repeat(auto-fill,minmax(360px,1fr));
                    grid-gap: 1.5rem;
                    margin-bottom: 1.5rem;

                    .lighting-project__item {
                        flex-direction: row;
                        padding: 1.5rem;
                        gap: 20px;

                        .lighting-project__content {
                            .lighting-project__title {
                                text-align: start;
                            }
                        }

                        &:last-child {
                            grid-column: auto;
                            gap: 20px;
                        }
                    }
                }

                @media (max-width: 425px) {
                    grid-template-columns: repeat(auto-fill,minmax(330px,1fr));

                    .lighting-project__item {
                        flex-direction: column;
                        padding: 1rem;

                        .lighting-project__content {
                            .lighting-project__title {
                                text-align: center;
                            }
                        }

                        &:last-child {
                            flex-direction: column;
                            padding: 1rem;
                        }
                    }
                }
            }

            &:last-child { 
                grid-template-columns: repeat(auto-fill, minmax(440px, 1fr)); 
                grid-gap: 2rem;

                @media (max-width: 1280px) {
                    grid-template-columns: repeat(auto-fill, minmax(390px, 1fr)); 
                }

                @media (max-width: 1024px) {
                    grid-template-columns: repeat(auto-fill, minmax(320px, 1fr)); 
                }

                @media (max-width: 768px)  {
                    grid-template-columns: repeat(auto-fill, minmax(240px, 1fr)); 
                    grid-gap: 1.5rem;
                }

                @media (max-width: 576px) {
                    grid-template-columns: repeat(auto-fill, minmax(270px, 1fr)); 
                }

               
                .lighting-project__item  {
                    gap: 30px;

                    @media (max-width: 768px) {
                        gap: 20px;
                        padding: 1.5rem;
                    }
                }
            }

            .lighting-project__item {
                display: flex;
                align-items: center;
                background-color: $brightGray;
                border-radius: 8px;
                padding: 1.5rem;
                transition: 0.4s ease;
                
                &:hover {
                    box-shadow: 0px 10px 15px -5px rgba(111, 111, 111, 0.602);
                }

                &:nth-child(2n+1) {
                    background-color: $lightSilver;
                }

                .lighting-project__content {
                    display: flex;
                    flex-direction: column;
                    gap: 15px;

                    .lighting-project__title {
                        @include lightingProjectTitle;
                    }

                    .lighting-project__text {
                        @include lightingProjectText;
                    }

                    @media (max-width: 768px) {
                        gap: 10px;
                    }
                }

               
            }
        }
    }

    .reviews__section {
        .reviews__block {
            max-width: 1024px;
            width: 100%;
            margin: 0 auto;

            @media (max-width: 1024px) {
                padding: 0 100px;
            }

            @media (max-width: 768px) {
                padding: 0 60px;
            }

            .reviews__wrapper {
                position: relative;

                .reviews__slider {
                    .reviews__item {
                        display: flex;
                        align-items: center;
                        gap: 50px;

                        @media (max-width: 1024px) {
                            flex-direction: column;
                            gap: 25px;
                        }

                        .review__image {
                            border-radius: 8px;
                            height: 250px;
                            width: 400px;
                           
                            @media (max-width: 1024px) {
                                height: 200px;
                                width: 100%;
                            }

                            @media (max-width: 674px) {
                                height: 200px;
                                width: 300px;
                            }

                            @media (max-width: 450px) {
                                width: 100%;
                            }
                        }
    
                        .review__content {
                            @media (max-width: 674px) {
                                width: 300px;
                            }

                            @media (max-width: 450px) {
                                width: 100%;
                            }

                            .review__title {
                                @include reviewTitle;
                            }
    
                            .review__text {
                                @include reviewText;
                            }

                            @media (max-width: 576px) {
                                text-align: center;
                            }
                        }
                    }
                }

                .reviews-button__wrapper {
                    .reviews-button-next {
                        content: url('../img/icon/arrow-next.svg');
                    }

                    .reviews-button-prev {
                        content: url('../img/icon/arrow-prev.svg');
                    }

                    .arrow {
                        width: 45px;
                    }
                }
            }
        }
    }

    .team__section {
        .team__block {
            display: grid;
            grid-template-columns: repeat(auto-fill, minmax(220px, 1fr));
            grid-gap: 2rem;

           
            .team__item {
                display: flex;
                flex-direction: column;
                align-items: center;
                gap: 20px;
                background-color: $brightGray;
                padding: 1rem;
                border-radius: 8px;
                transition: 0.4s ease;

                &:hover {
                    box-shadow: 0px 10px 15px -5px rgba(111, 111, 111, 0.602);
                }

                @media (max-width: 501px) {
                    flex-direction: row;
                    justify-content: center;
                    gap: 40px;
                }

                .team__photo {
                    background-repeat: no-repeat;
                    background-size: cover;
                    background-position: center;
                    width: 150px;
                    height: 150px;
                    border-radius: 100%;

                    @media (max-width: 1280px) {
                        width: 125px;
                        height: 125px;
                    }

                    @media (max-width: 1024px) {
                        width: 100px;
                        height: 100px;
                    }
                }

                .team__content {
                    text-align: center;
                    
                    .team__name {
                        @include teamName;
                    }

                    .team__profession {
                        @include teamProfession;
                    }
                }
            }
        }
    }

    .electrical__section {
        .electrical__block {
            grid-template-columns: repeat(auto-fill, minmax(220px, 1fr)); 
            display: grid;
            grid-gap: 2rem;

            @media (max-width: 1280px) {
                grid-template-columns: repeat(auto-fill, minmax(230px, 1fr)); 
                grid-gap: 1.5rem;
            }

            @media (max-width: 1035px) {
                grid-template-columns: repeat(auto-fill, minmax(240px, 1fr)); 
                grid-gap: 1.5rem;
            }

            @media (max-width: 800px) {
                grid-template-columns: repeat(auto-fill, minmax(250px, 1fr)); 
            }

            @media (max-width: 576px) {
                grid-template-columns: repeat(auto-fill,minmax(170px,1fr)); 
            }

            @media (max-width: 425px) {
                grid-gap: 0.7rem;
            }

            .electrical__item {
                display: flex;
                justify-content: center;
                align-items: end;
                background-repeat: no-repeat;
                background-size: cover;
                background-position: center;
                height: 400px;
                width: 100%;
                border-radius: 8px;
                padding: 1rem;
                transition: 0.4s ease;

                &:hover {
                    box-shadow: 0px 10px 15px -5px rgba(111, 111, 111, 0.602);
                }
                
                @media (max-width: 1280px) {
                    height: 350px;
                }

                @media (max-width: 1051px) {
                    &:last-child {
                        grid-column: 4/-3;
                    }
                }

                @media (max-width: 800px) {
                    height: 300px;

                    &:last-child {
                        grid-column: -1/2;
                    }
                }

                @media (max-width: 425px) {
                    padding: 0.5rem;
                    height: 250px;
                }

                .electrical__title {
                    @include electricalTitle;
                }
            }
        }
    }

    .finished-work__section {
        .finished-work__block {
            grid-template-columns: repeat(auto-fill,minmax(390px,1fr));
            display: grid;
            grid-gap: 2rem;

            @media (max-width: 1024px) {
                grid-template-columns: repeat(auto-fill,minmax(320px,1fr));
                grid-gap: 1.5rem;
            }

            @media (max-width: 768px) {
                grid-template-columns: repeat(auto-fill,minmax(240px,1fr));
                grid-gap: 1rem;
            }

            @media (max-width: 576px) {
                grid-template-columns: repeat(auto-fill,minmax(270px,1fr));
            }

            .finished-work__item {
                background-color: $lightSilver;
                padding: 2rem;
                border-radius: 8px;
                display: flex;
                flex-direction: column;
                justify-content: space-between;
                gap: 25px;
                transition: 0.4s ease;

                &:hover {
                    box-shadow: 0px 10px 15px -5px rgba(111, 111, 111, 0.602);
                }

                &:nth-child(2n+1) {
                    background-color: $brightGray;
                }

                @media (max-width: 768px) {
                    padding: 1rem;
                }

                .finished__content {
                    display: flex;
                    flex-direction: column;
                    align-items: center;
                    gap: 25px;

                    .finished__photo {
                        background-repeat: no-repeat;
                        background-size: cover;
                        background-position: center;
                        height: 400px;
                        width: 100%;

                        @media (max-width: 768px) {
                            height: 300px;
                        }
                    }

                    .finished__title {
                        @include finishedTitle;
                    }

                    .finished__list {
                        padding-left: 20px;
                        width: 100%;

                        .finished__item {
                            @include finishedItem;
                        }
                    }
                }

                .finished__buy {
                    display: flex;
                    flex-direction: column;
                    gap: 25px;

                    .finished__price {
                        @include finishedPrice;
                    }

                    .finished__button {
                        @include finishedButton;
                    }
                }
            }
        }
    }
    
    // catalog page // 

    .catalog-main__section {

        .catalog-main__list {
            display: grid;
            grid-template-columns: repeat(auto-fill, minmax(260px, 1fr)); 
            grid-gap: 2rem;
            grid-template-rows: auto;

            @media (max-width: 1280px) {
                grid-template-columns: repeat(auto-fill, minmax(230px, 1fr)); 
                grid-gap: 1.5rem;
            }

            @media (max-width: 1060px) {
                grid-template-columns: repeat(auto-fill, minmax(220px, 1fr)); 
                grid-gap: 1rem;
            }

            @media (max-width: 1024px) {
                grid-template-columns: repeat(auto-fill, minmax(240px, 1fr)); 
            }

            @media (max-width: 992px) {
                grid-template-columns: repeat(auto-fill, minmax(230px, 1fr)); 
            }

            @media (max-width: 768px) {
                grid-template-columns: repeat(auto-fill, minmax(180px, 1fr)); 
                grid-gap: 0.5rem;
            }

            @media (max-width: 625px) {
                grid-template-columns: repeat(auto-fill, minmax(200px, 1fr)); 
            }

            @media (max-width: 455px) {
                grid-template-columns: repeat(auto-fill, minmax(140px, 1fr)); 
            }

            .catalog__item {
                padding: 2rem;
                justify-content: center;

                @media (max-width: 1280px) {
                    padding: 1.5rem;
                }

                @media (max-width: 768px) {
                    padding: 1rem;
                }

                @media (max-width: 455px) {
                    gap: 20px;
                }

                .product__wrapper {
                    
                    .product__image {
                        width: auto;
                        max-width: 200px;
                        height: auto;
                     
                        @media (max-width: 1024px) {
                            max-width: 150px;
                        }

                        @media (max-width: 768px) {
                            max-width: 100px;
                        }
                    }
                }

                &:nth-last-child(-n+2) {
                    flex-direction: row;
                    align-items: center;
                    grid-row: 3/4;
                    padding: 0rem;
                }

                &:nth-last-child {
                    grid-column: -1/3;

                    @media (max-width: 1024px) {
                        grid-row: 4/4;
                        grid-column: -4/4;
                    }

                    @media (max-width: 768px) {
                        padding: 1rem;
                    }

                    @media (max-width: 625px) {
                        flex-direction: column;
                        grid-column: -1/2;
                    }

                }

                &:nth-last-child {
                    grid-column: -3/1;

                    @media (max-width: 1024px) {
                       flex-direction: column;
                       padding: 1rem;
                    }
                }

                .product__name {
                    font-weight: bold;
                }
            }
        }
    }

    // contacts page // 

    .contacts__section {
        .contacts__list {
            list-style-type: none;
            display: flex;
            flex-direction: column;
            gap: 25px;

            @media (max-width: 576px) {
                gap: 20px;
            }

            .contacts__item {
                @include contactsItem;
            }
        }
    }

    .map__section {
        .map {
            iframe {
                border-radius: 8px;
                box-shadow: 0px 10px 15px -5px rgba(111, 111, 111, 0.602);
            }
        }
    }

    // basket page // 

    .basket__section {
        .basket__block {
            display: flex;
            gap: 50px;

            @media (max-width: 1024px) {
                flex-direction: column;
                gap: 100px;
            }

            .basket-cards__list {
                display: flex;
                flex-direction: column;
                gap: 30px;
                flex: 1 1 65%;

                @media (max-width: 1024px) {
                    flex: 0 0 100%;
                    max-width: 768px;
                    width: 100%;
                    margin: 0 auto;
                }
        
                .basket-cards__item {
                    width: 100%;
                    height: 200px;
                    border: 1px solid $lightSilver;
                    border-radius: 8px;
                    display: flex;
                    transition: 0.4s ease;
                    cursor: pointer;
                    position: relative;

                    @media (max-width: 768px) {
                        height: 150px;   
                    }

                    @media (max-width: 425px) {
                        height: 130px;   
                    }
        
                    &:hover {
                        box-shadow: 0px 10px 15px -5px rgba(111, 111, 111, 0.602);
                    }
                   
                    .card__image {
                        background-size: contain;
                        background-position: center;
                        background-repeat: no-repeat;
                        flex: 1 1 25%;
                        height: auto;
                        width: auto;
                        margin: 2rem;
                    }
            
                    .card__description {
                        display: flex;
                        flex-direction: column;
                        justify-content: space-between;
                        padding: 2.5rem 2rem 1.5rem 2rem;
                        width: 100%;
                        border-left: 1px solid $lightSilver;

                        @media (max-width: 768px) {
                            padding: 2rem 1.5rem 1rem 1.5rem;       
                        }

                        @media (max-width: 425px) {
                            padding: 2rem 1.5rem 1rem 1rem; 
                        }

                        .card__title {
                            @include cardTitle;
                        }
            
                        .card__control {
                            display: flex;
                            justify-content: space-between;
                            align-items: end;
            
                            .quantity__management {
                                display: flex;
                                align-items: center;
                                gap: 30px;

                                @media (max-width: 1024px) {
                                    gap: 20px;
                                }

                                @media (max-width: 425px) {
                                    gap: 15px;
                                }
            
                                .quantity__button {
                                    display: flex;
                                    align-items: center;
                                    background-color: $lightSilver;
                                    padding: 0.7rem;    
                                    border-radius: 8px;
                                    transition: 0.4s ease;

                                    &:hover {
                                        box-shadow: 0px 10px 15px -5px rgba(111, 111, 111, 0.602);
                                    }

                                    @media (max-width: 768px) {
                                        padding: 0.5rem;

                                        svg {
                                            width: 18px;
                                            height: 18px;
                                        }

                                    }

                                    @media (max-width: 425px) {
                                        padding: 0.4rem;

                                        svg {
                                            width: 16px;
                                            height: 16px;
                                        }

                                    }
            
                                    &:hover {
                                        background-color: $silverChalice;
                                    }
                                }
            
                                .quantity__output {
                                    font-size: 20px;
                                    font-weight: 400;

                                    @media (max-width: 768px) {
                                        font-size: 18px;
                                    }
                                }
                            }
            
                            .card__price {
                                @include cardPrice;
                            }
                        }
                    }
        
                    .card-close__button {
                        @include cardCloseButton;
                    }
                }
            } 
            
            .order__management {
                display: flex;
                flex-direction: column;
                gap: 30px;
                width: 100%;
                flex: 0 0 35%;

                @media (max-width: 1024px) {
                    flex: 0 0 100%;
                    max-width: 576px;
                    width: 100%;
                    margin: 0 auto;
                }
                
                
                .basket-empty__button {
                    @include basketEmptyButton;
                }

                .order__form {
                    display: flex;
                    flex-direction: column;
                    gap: 30px;

                    .information__order {
                        transition: 0.4s;
                        border-radius: 8px;
    
                        .order__title {
                            @include orderTitle;
                        }
    
                        .order__description {
                            display: flex;
                            flex-direction: column;
                            gap: 35px;
                            border-bottom-left-radius: 8px;
                            border-bottom-right-radius: 8px;
                            padding: 2.5rem 1.5rem;
                            border: 1px solid $lightSilver;
    
                            .order__wrapper {
                                display: flex;
                                flex-direction: column;
                                gap: 15px;
    
                                .order__item {
                                    display: flex;
                                    justify-content: space-between;
                                    position: relative;
        
                                    &:before {
                                        position: absolute;
                                        content: '';
                                        height: 1px;
                                        width: 100%;
                                        background-color: $silverChalice;
                                        top: 50%;
                                        transform: translateY(-50%);
                                    }
        
                                    .order__name {
                                        @include orderName;
                                    }
        
                                    .order__amount {
                                        @include orderAmount;
                                    }
        
                                }
                            }
    
                            .order__button {
                                @include orderButton;
                            }

                            .buyer__data {
                                display: flex;
                                flex-direction: column;
                                gap: 20px;

                                .data__wrapper {
                                    .buyer__input {
                                        width: 100%;
                                        height: 55px;
                                        border: 1px solid $lightSilver;
                                        border-radius: 8px;
                                        text-indent: 15px;
                                    }

                                    .buyer__textarea {
                                        width: 100%;
                                        border: 1px solid $lightSilver;
                                        border-radius: 8px;
                                        padding: 1rem;
                                        height: 150px;
                                    }
                                }
                            }

                            .data__title {
                                @include dataTitle;
                            }
                        }
    
                        &:hover {
                            box-shadow: 0px 10px 15px -5px rgba(111, 111, 111, 0.602);
                        }
                    }
                }
            }
        }
    }

    // card page //

    .card__section {
        .card-product__block {
            display: grid;
            grid-template-columns: 450px 1fr 300px;
            gap: 10px;
            margin-bottom: 80px;
            align-items: center;

            @media (max-width: 1024px) {
                grid-template-columns: 400px 1fr 300px;
                margin-bottom: 60px;
            }

            @media (max-width: 768px) {
                grid-template-columns: 1fr 1fr 0fr;
                margin-bottom: 50px;
            }

            @media (max-width: 576px) {
                grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
                gap: 50px;
            }

            .card-block__image {
                background-repeat: no-repeat;
                background-size: contain;
                background-position: center;
                width: 100%;
                height: 300px;
                cursor: pointer;
            }

            .card-block__description {
                @media (max-width: 1024px) {
                    grid-column: -1/1;
                    order: 3;
                }

                @media (max-width: 576px) {
                    grid-column: inherit;
                }

                .product-description__list {
                    padding-left: 20px;

                    .product-description__item {
                        @include productDescriptionItem;
                    }
                }
            }

            .card-block__control {
                display: flex;
                flex-direction: column;
                gap: 20px;
                align-items: center;
                background-color: $brightGray;
                padding: 2rem;
                border-radius: 8px;
                height: fit-content;

                @media (max-width: 1024px) {
                    grid-column: -1/2;
                    order: 2;
                }
                
                @media (max-width: 576px) {
                    grid-column: inherit;
                }

                .card-block__price {
                    @include cardBlockPrice;
                }

                .card-basket__button {
                    @include orderButton;
                }

                .card-basket__buy {
                    @include buyButton;
                }
            }
        }
        
        .card-product__tabs {
            .tabs__buttons {
                display: flex;
                background-color: $brightGray;
                border-top-right-radius: 8px;
                border-top-left-radius: 8px;

                @media (max-width: 576px) {
                    overflow-x: scroll;
                    width: 100%;
                }

                .tab__button {
                    @include tabButton;
                }

                .tab__button.tab__active {
                    background-color: $deepJungleGreen;
                    color: $white;

                    &:hover {
                        color: $white;
                    }
                }
            }

            .tabs__contents {
                border: 1px solid $brightGray;
                border-bottom-right-radius: 8px;
                border-bottom-left-radius: 8px;
                padding: 2rem 3rem;

                @media (max-width: 768px) {
                    padding: 2rem 1rem;
                }

                .tab__content {
                    display: none;
                }

                .tab__content.tab__active {
                    display: block;
                }
            }
        }
    }

    // error page //

    .error__section {
        .error__block {
            position: relative;
            max-width: 800px;
            margin: 0 auto;

            @media (max-width: 1024px) {
                max-width: 600px;
            }

            @media (max-width: 768px) {
                max-width: 350px;
            }
            
            .error__image {
                width: 100%;
            }

            .error__link {
                @include errorLink;
            }
        }
    }
}